Subject: bug#44556: 27.1; Ido deletes file without configuration with C-x C-v C-k

From: Jean Louis <[email-masked]>
Date: Wed, 9 Dec 2020 23:22:31 +0300

* Christopher Sean Morrison via "Bug reports for GNU Emacs, the Swiss
army knife of tex
> I don’t know the inner workings of Ido to dig deeper on why it is
> not prompting for confirmation as that's the crux of this report.
> If I ctrl-k, file is deleted silently without confirmation.

It is made as function in that package. I find it badly designed as
C-k means by default to kill-line and user can make mistake
easily. Why should completing package have function to delete file
during completion?! Wow I am surprised.

Better don't use it.

Use ivy from GNU ELPA.